ZeroSpreadedTermStructure Class Reference
Term structures

Term structure with an added spread on the zero yield rate. More...

`#include <ql/termstructures/yield/zerospreadedtermstructure.hpp>`

Inheritance diagram for ZeroSpreadedTermStructure:
[legend]

## Public Member Functions

| ZeroSpreadedTermStructure (const Handle< YieldTermStructure > &, const Handle< Quote > &spread, Compounding comp=Continuous, Frequency freq=NoFrequency, const DayCounter &dc=DayCounter())
YieldTermStructure interface
DayCounter | dayCounter () const
| the day counter used for date/time conversion
Calendar | calendar () const
| the calendar used for reference and/or option date calculation
Natural | settlementDays () const
| the settlementDays used for reference date calculation
const Date & | referenceDate () const
| the date at which discount = 1.0 and/or variance = 0.0
Date | maxDate () const
| the latest date for which the curve can return values
Time | maxTime () const
| the latest time for which the curve can return values
Public Member Functions inherited from ZeroYieldStructure
| ZeroYieldStructure (const DayCounter &dc=DayCounter())
| ZeroYieldStructure (const Date &referenceDate, const Calendar &calendar=Calendar(), const DayCounter &dc=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
| ZeroYieldStructure (Natural settlementDays, const Calendar &calendar, const DayCounter &dc=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
QL_DEPRECATED | ZeroYieldStructure (const DayCounter &dc, const std::vector< Handle< Quote > > &jumps, const std::vector< Date > &jumpDates=std::vector< Date >())
Public Member Functions inherited from YieldTermStructure
| YieldTermStructure (const DayCounter &dc=DayCounter())
| YieldTermStructure (const Date &referenceDate, const Calendar &cal=Calendar(), const DayCounter &dc=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
| YieldTermStructure (Natural settlementDays, const Calendar &cal, const DayCounter &dc=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
QL_DEPRECATED | YieldTermStructure (const DayCounter &dc, const std::vector< Handle< Quote > > &jumps, const std::vector< Date > &jumpDates=std::vector< Date >())
DiscountFactor | discount (const Date &d, bool extrapolate=false) const
DiscountFactor | discount (Time t, bool extrapolate=false) const
InterestRate | zeroRate (const Date &d, const DayCounter &resultDayCounter, Compounding comp, Frequency freq=Annual, bool extrapolate=false) const
InterestRate | zeroRate (Time t, Compounding comp, Frequency freq=Annual, bool extrapolate=false) const
InterestRate | forwardRate (const Date &d1, const Date &d2, const DayCounter &resultDayCounter, Compounding comp, Frequency freq=Annual, bool extrapolate=false) const
InterestRate | forwardRate (const Date &d, const Period &p, const DayCounter &resultDayCounter, Compounding comp, Frequency freq=Annual, bool extrapolate=false) const
InterestRate | forwardRate (Time t1, Time t2, Compounding comp, Frequency freq=Annual, bool extrapolate=false) const
const std::vector< Date > & | jumpDates () const
const std::vector< Time > & | jumpTimes () const
void | update ()
Public Member Functions inherited from TermStructure
| TermStructure (const DayCounter &dc=DayCounter())
| default constructor More...
| TermStructure (const Date &referenceDate, const Calendar &calendar=Calendar(), const DayCounter &dc=DayCounter())
| initialize with a fixed reference date
| TermStructure (Natural settlementDays, const Calendar &, const DayCounter &dc=DayCounter())
| calculate the reference date based on the global evaluation date
virtual | ~TermStructure ()
Time | timeFromReference (const Date &date) const
| date/time conversion
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Extrapolator
void | enableExtrapolation (bool b=true)
| enable extrapolation in subsequent calls
void | disableExtrapolation (bool b=true)
| disable extrapolation in subsequent calls
bool | allowsExtrapolation () const
| tells whether extrapolation is enabled

## Observer interface

void | update ()
Rate | zeroYieldImpl (Time) const
| returns the spreaded zero yield rate
Rate | forwardImpl (Time) const
| returns the spreaded forward rate

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from ZeroYieldStructure
DiscountFactor | discountImpl (Time) const
Protected Member Functions inherited from YieldTermStructure
Protected Member Functions inherited from TermStructure
void | checkRange (const Date &d, bool extrapolate) const
| date-range check
void | checkRange (Time t, bool extrapolate) const
| time-range check
Protected Attributes inherited from TermStructure
bool | moving_
bool | updated_
Calendar | calendar_

## Detailed Description

Term structure with an added spread on the zero yield rate.

Note
  This term structure will remain linked to the original structure, i.e., any changes in the latter will be reflected in this structure as well.

Tests:
  - the correctness of the returned values is tested by checking them against numerical calculations.
  - observability against changes in the underlying term structure and in the added spread is checked.

## Member Function Documentation

## update()

void update | ( |  | ) |

virtual

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from TermStructure.